Subject: Weird strings in kernel uname when cross-compiling

From: "A. Nolson" <[email-masked]>
Date: Thu, 04 Dec 2008 12:41:05 +0100

Hi all,

 anybody knows why every time I cross-compile my kernel (Denx 4.2 
cross-compiling chain ) I get an extra string in my vermagic like this

2.6.24-rc3-gd7ed933b-dirty

when my kernel's ( secretlabs 2.6.24-rc3) makefile has this parameters:

VERSION = 2
PATCHLEVEL = 6
SUBLEVEL = 24
EXTRAVERSION = -rc3

(So no -gd7ed933b-dirty anywhere... )

 Having that is a bit annoying when I try to natively compile modules, 
so I need to workaround it by copying  that extra string into my other 
Makefiles. Anybody knows how to get rid of it?

/Albert